Trio VMS Agency API Docs
Trio Agency APIs
Trio Client APIsTrio Staff APIs
Trio Agency APIs
Trio Client APIsTrio Staff APIs
  1. Candidates
  • Home
  • Webhooks
  • Guides
    • Jobs Sync
    • Candidate Submission
  • v3
    • AssignmentConfirmations
      • Get information for the specified assignment confirmation version.
    • Candidate
      • Get a list of all active candidates related to your account.
      • Create or update a candidate.
      • Gets information for the specified candidate.
    • Candidates
      • Gets a list of candidates
        GET
      • Creates a candidate.
        POST
      • Gets a specific candidate
        GET
      • Updates a candidate.
        PUT
      • Gets candidate's state licenses
        GET
      • Change a candidate's state license
        POST
    • Client
      • Get a list of all active clients related to your account.
      • Gets information for the specified client.
    • Clients
      • Get client locations.
      • Get a specific client location.
      • Get a client's presentation requirements.
    • Invoice
      • Get a list of invoices.
      • Get an invoice by number
      • Get a list of timecards for the specified invoice.
    • Job
      • Gets a listing of all open jobs.
      • Gets a listing of closed jobs based on the date range.
      • Get information for the specified job.
    • Notifications
      • Gets a list of available notification types
    • Profession
      • Gets all professions with a list of their specialties.
    • ProviderConfirmation
      • Get a list of provider confirmations related to your account.
      • Get information for the specified provider confirmation.
    • Shifts
      • Gets a list of shifts for the user performing the request
      • Get the reasons that may accompany a shift status change.
      • Gets a list of available shift statuses
      • Gets a specific shift
      • Attempts to claim the shift for the current user or specified candidate
      • Confirms the assignment of a shift
      • Declines the assignment of a shift
      • Releases a confirmed shift
    • ShiftSubmissions
      • Attempts to submit a shift submission
      • Attempts to accept a shift submission
      • Attempts to reject a shift submission
      • Attempts to withdraw a shift submission
    • Specialty
      • Gets all specialties.
      • Gets information for the specified specialty.
    • Submission
      • Get a list of all submissions related to your account.
      • Create a new submission.
      • Accepts a submission that was offered.
      • Declines an offered submission.
      • Withdraw a submission.
      • Get a list of reasons for withdrawing a submission.
      • Get information for the specified submission.
      • Update the specified submission.
    • SubmissionDocuments
      • Get the documents attached to a submission.
      • Attach a document to a submission.
      • Download a specific submission document.
      • Remove a document from a submission.
    • Submissions
      • Get submissions across every segment group.
      • Get a specific submission.
    • StaffingPools
      • Get a collection of candidates with active or inactive clearances to staffing pools
      • Get locations for staffing pools
    • Tenants
      • Get tenant info
    • Timecard
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get a list of all valid status reasons.
      • Get a specific timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
    • TimecardExpense
      • Get a list of all Timecard Expenses for a Timecard.
    • TimecardLine
      • Get a list of all Timecard Lines for a Timecard.
    • Webhooks
      • Get a list of all webhooks registered for your agency.
      • Subscribes a new webhook to a Trio event.
      • Deletes the webhook registration from Trio.
      • Get the list of available events that can be subscribed to via webhook.
      • Get a webhook by its id.
  1. Candidates

Creates a candidate.

POST
https://api.triowfs.com/trio/api/v3/candidates
Creates a candidate with the specified properties. Candidate will be returned in the response.

Request

Authorization
Add parameter in header
x-api-key
Example:
x-api-key: ********************
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
A successful OK response (HTTP 200) with a typed body.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.triowfs.com/trio/api/v3/candidates' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "title": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "state": "string",
    "zipCode": "string",
    "permanentAddressLine1": "string",
    "permanentAddressLine2": "string",
    "permanentCity": "string",
    "permanentState": "string",
    "permanentZipCode": "string",
    "phone1": "string",
    "phone2": "string",
    "email1": "string",
    "email2": "string",
    "identificationNumber": "string",
    "driversLicenseNumber": "string",
    "registry": "string",
    "birthDate": "2019-08-24",
    "isNicotineFree": true,
    "isAlcoholFree": true,
    "isConvicted": true,
    "convictedDescription": "string",
    "isSuspended": true,
    "suspendedDescription": "string",
    "experienceYears": 0,
    "travelExperienceYears": 0,
    "experienceDescription": "string",
    "description": "string",
    "availability": "string",
    "stateLicenses": [
        {
            "state": "string",
            "isCompact": true,
            "expirationDate": "2019-08-24",
            "licenseNumber": "string"
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "zip": "string"
    },
    "permanentAddress": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "zip": "string"
    },
    "alternativePhoneNumber": "string",
    "alternativeEmailAddress": "string",
    "driversLicenseNumber": "string",
    "registry": "string",
    "birthDate": "2019-08-24",
    "experienceYears": 0,
    "travelExperienceYears": 0,
    "experienceDescription": "string",
    "isAlcoholFree": true,
    "isNicotineFree": true,
    "isConvicted": true,
    "convictedDescription": "string",
    "isSuspended": true,
    "suspendedDescription": "string",
    "description": "string",
    "specialties": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "profession": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            },
            "code": 0,
            "description": "string"
        }
    ],
    "certifications": [
        {
            "code": 0,
            "name": "string",
            "description": "string"
        }
    ],
    "stateLicenses": [
        {
            "state": "string",
            "abbreviation": "string",
            "isCompact": true,
            "expirationDate": "2019-08-24",
            "licenseNumber": "string"
        }
    ],
    "modifiedDate": "2019-08-24T14:15:22.123Z",
    "clientFamily": {
        "id": 0,
        "name": "string"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "number": 0,
    "agency": {
        "id": 0,
        "name": "string"
    },
    "name": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "title": "string",
    "phoneNumber": "string",
    "emailAddress": "string"
}
Modified at 2026-09-17 22:39:27
Previous
Gets a list of candidates
Next
Gets a specific candidate
Built with